IF = {
    limit = {
        NOT = {
            is_alive = yes
            has_character_flag = {{model.enabled_flag}}
        }
    }
    {{model.cleanup()}}
    break = yes
}
if = {
	#on the off chance that more than one person of the same dynasty are autobuilding, and a heir.
	limit={ NOT = {has_character_flag = {{model.enabled_flag}}} }
	{% for x in model.settings_flags -%}
	if = { 
		limit = { has_dynasty_flag = {{x}} }
		set_character_flag = {{x}}
		}
	{% endfor -%}	
	set_character_flag = {{ model.enabled_flag }}
	character_event = {id={{model.init.id}}}
}
